Package com.emc.d2fs.models.rendering_options

# Class RenderingOption

java.lang.Object
com.emc.d2fs.models.rendering_options.RenderingOption

All Implemented Interfaces:
  `Serializable`

public class RenderingOption extends Object implements Serializable

Java class for rendering_option complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="rendering_option">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="key" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="fontColor" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="iconClass" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="iconOnly" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RenderingOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFontColor()`
  Gets the value of the fontColor property.
  `String`
  `getIconClass()`
  Gets the value of the iconClass property.
  `String`
  `getKey()`
  Gets the value of the key property.
  `Boolean`
  `isIconOnly()`
  Gets the value of the iconOnly property.
  `void`
  `setFontColor(String value)`
  Sets the value of the fontColor property.
  `void`
  `setIconClass(String value)`
  Sets the value of the iconClass property.
  `void`
  `setIconOnly(Boolean value)`
  Sets the value of the iconOnly property.
  `void`
  `setKey(String value)`
  Sets the value of the key property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RenderingOption

    public RenderingOption()

- ## Method Details

  - ### getKey

    public String getKey()
    Gets the value of the key property.
    Returns:
      possible object is `String`

  - ### setKey

    public void setKey(String value)
    Sets the value of the key property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFontColor

    public String getFontColor()
    Gets the value of the fontColor property.
    Returns:
      possible object is `String`

  - ### setFontColor

    public void setFontColor(String value)
    Sets the value of the fontColor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getIconClass

    public String getIconClass()
    Gets the value of the iconClass property.
    Returns:
      possible object is `String`

  - ### setIconClass

    public void setIconClass(String value)
    Sets the value of the iconClass property.
    Parameters:
      `value` - allowed object is `String`

  - ### isIconOnly

    public Boolean isIconOnly()
    Gets the value of the iconOnly property.
    Returns:
      possible object is `Boolean`

  - ### setIconOnly

    public void setIconOnly(Boolean value)
    Sets the value of the iconOnly property.
    Parameters:
      `value` - allowed object is `Boolean`